/*
 *
 * (c) Copyright Ascensio System Limited 2010-2020
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
*/
/*
 *
 * (c) Copyright Ascensio System Limited 2010-2020
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
*/
.noContentBlock {
  padding: 100px;
  text-align: center;
  font-size: 14px;
  color: #373737;
  font-weight: bold;
  margin: 5px 0 11px 0;
}
.noContentBlock a,
.noContentBlock a:visited,
.noContentBlock a:hover,
.noContentBlock a:active {
  font-size: 14px;
  font-weight: bold;
  text-decoration: underline;
}
.noContentBlock.emptyScrCtrl {
  padding-top: 50px;
  font-weight: normal;
  margin: 0 auto;
  width: 687px;
}
.emptyScrCtrl {
  padding: 100px 0;
  min-width: 200px;
}
.emptyScrCtrl .emptyScrImage {
  background: no-repeat 0 0 transparent;
  display: block;
  height: 150px;
  width: 150px;
}
.emptyScrCtrl .emptyScrTd {
  text-align: left;
  padding: 10px;
}
.emptyScrCtrl td {
  vertical-align: top;
}
.emptyScrCtrl .emptyScrHeadDscr {
  color: #666666;
  font-size: 18px;
  margin-top: 10px;
}
.emptyScrCtrl .emptyScrDscr {
  font-size: 14px;
  margin: 14px auto 0;
  max-width: 600px;
  color: #737373;
}
.emptyScrCtrl .emptyScrBttnPnl {
  margin-top: 18px;
}
.emptyScrCtrl .emptyScrBttnPnl a,
.emptyScrCtrl .emptyScrBttnPnl span {
  font-weight: normal;
}
.emptyScrCtrl .emptyScrBttnPnl .clearFilterButton {
  color: #333;
  clear: both;
  cursor: pointer;
  margin-left: 18px;
  position: relative;
  vertical-align: middle;
}
.emptyScrCtrl .emptyScrBttnPnl .clearFilterButton:before {
  background-color: #83888D;
  width: 13px;
  height: 13px;
  border-radius: 13px;
  -moz-border-radius: 13px;
  -webkit-border-radius: 13px;
  cursor: pointer;
  content: "";
  display: block;
  left: -18px;
  margin-top: -6px;
  position: absolute;
  top: 50%;
}
.emptyScrCtrl .emptyScrBttnPnl .clearFilterButton:after {
  cursor: pointer;
  content: "×";
  color: #fff;
  display: block;
  font-size: 15px;
  font-weight: 600;
  height: 16px;
  left: -18px;
  line-height: 16px;
  margin-top: -8px;
  position: absolute;
  text-align: center;
  top: 50%;
  width: 13px;
}
.emptyScrCtrl .emptyScrBttnPnl .addFirstElement {
  clear: both;
  cursor: pointer;
  margin-left: 18px;
  position: relative;
}
.emptyScrCtrl .emptyScrBttnPnl .addFirstElement:after {
  color: #83888d;
  content: "+";
  cursor: pointer;
  display: block;
  font-size: 22px;
  font-weight: 800;
  height: 20px;
  line-height: 20px;
  left: -17px;
  margin-top: -11px;
  position: absolute;
  top: 50%;
  width: 12px;
}
.popupContainerClass .emptyScrCtrl img.emptyScrImages {
  margin-left: 30px;
}
div.hintDescriptionPanel {
  display: none;
  margin: 4px 0 0 0;
  max-width: 310px;
  padding: 8px 16px;
  position: absolute;
  z-index: 255;
  word-wrap: break-word;
  border-radius: 4px;
  -moz-border-radius: 4px;
  -webkit-border-radius: 4px;
  background: #FFF;
  border: 1px solid #D1D1D1;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.3);
  -moz-box-shadow: 0 2px 4px rgba(0, 0, 0, 0.3);
  -webkit-box-shadow: 0 2px 4px rgba(0, 0, 0, 0.3);
}
